import 'package:flutter/material.dart';

class CustomTfInputDecoration extends InputDecoration {
  CustomTfInputDecoration({required String hintTxt,required IconData icon,required  Color iconRenk}) : super(
    border: OutlineInputBorder(
                            borderRadius: BorderRadius.circular(5)),
    focusedBorder: const OutlineInputBorder(
                            borderSide: BorderSide.none),
                        enabledBorder: OutlineInputBorder(
                            borderRadius: BorderRadius.circular(5),
                            borderSide: BorderSide.none),
                        contentPadding:
                            const EdgeInsets.symmetric(horizontal: 5),
                        prefixIcon: Icon(
                          icon,
                          color: iconRenk,
                        ),
                        hintText: hintTxt,
                        hintStyle: const TextStyle(
                            fontSize: 14.0, color: Colors.grey)
  );
}
